### Method

# Gtk TextBuffer insert_interactive

#### Declaration [src]

    gboolean
    gtk_text_buffer_insert_interactive (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      const char* text,
      int len,
      gboolean default_editable
    )

#### Description [src]

Inserts `text` in `buffer`.

Like `gtk_text_buffer_insert()`, but the insertion will not occur if `iter` is at a non-editable location in the buffer. Usually you want to prevent insertions at ineditable locations if the insertion results from a user action (is interactive).

`default_editable` indicates the editability of text that doesn’t have a tag affecting editability applied to it. Typically the result of `gtk_text_view_get_editable()` is appropriate here.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A position in `buffer`.

  The data is owned by the caller of the method.

`text`

  Type: `const char*`

  Some UTF-8 text.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `int`

  Length of text in bytes, or -1.

`default_editable`

  Type: `gboolean`

  Default editability of buffer.

#### Return value

Type: `gboolean`

Whether text was actually inserted.